/* eslint-disable no-console */

// @flow

import React from 'react'
import { storiesOf } from '@kadira/storybook'
import ContactForm from './'

storiesOf('ContactForm', module)
  .add('default', () => (
    <div className="measure center">
      <ContactForm onSubmit={console.log} />
    </div>
  ))
  .add('custom theme & label', () => (
    <div className="measure center">
      <ContactForm
        nameLabel="Tên của bạn"
        emailLabel="Email của bạn"
        phoneLabel="Phone của bạn"
        descriptionLabel="Nội dung"
        submitLabel="Gửi"
        theme={{
          label: 'gray',
          button: 'is-primary is-outlined',
        }}
        onSubmit={console.log}
      />
    </div>
  ))
