/* eslint-disable no-console */

// @flow

import React from 'react'
import { compose, withState } from 'recompose'
import { storiesOf } from '@kadira/storybook'
import Wrapper from 'components/Wrapper'
import OptIn from './'

const data = {
  callToAction: 'Give me now',
}

const theme = {
  input: 'mv1',
  callToAction: 'is-primary',
}

const hTheme = {
  input: 'mh1',
  callToAction: 'mh1 is-primary',
}

const OptInDefault = withState('email', 'onEmailChange', '')(OptIn)
const OptInWithName = compose(
  withState('email', 'onEmailChange', ''),
  withState('name', 'onNameChange', ''),
)(OptIn)

storiesOf('OptIn', module)
  .add('default', () => (
    <div className="mw6 center mt2">
      <Wrapper className="mb3" title="Default">
        <OptInDefault
          className="pa2"
          data={data}
          theme={theme}
          onSubmit={console.log}
        />
      </Wrapper>
      <Wrapper className="mb3" title="Default with name">
        <OptInWithName
          className="pa2"
          data={data}
          theme={theme}
          onSubmit={console.log}
        />
      </Wrapper>
      <Wrapper className="mb3" title="Default horizontal">
        <OptInDefault
          className="pa2"
          data={{ ...data, isHorizontal: true }}
          theme={hTheme}
          onSubmit={console.log}
        />
      </Wrapper>
      <Wrapper className="mb3" title="Default horizontal with name">
        <OptInWithName
          className="pa2"
          data={{ ...data, isHorizontal: true }}
          theme={hTheme}
          onSubmit={console.log}
        />
      </Wrapper>
    </div>
  ))
