'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Article = function Article(_ref) {
  var _ref$post = _ref.post,
      title = _ref$post.title,
      headerColor = _ref$post.headerColor,
      author = _ref$post.author,
      image = _ref$post.image,
      body = _ref$post.body;

  var style = image ? {
    background: 'linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), url(' + image + ')'
  } : {};
  return _react2.default.createElement(
    'article',
    null,
    _react2.default.createElement(
      'header',
      { className: (0, _classnames2.default)('relative w-100 cover', headerColor, { 'vh-75': !!image }) },
      _react2.default.createElement('div', {
        style: style,
        className: (0, _classnames2.default)('absolute aspect-ratio--object')
      }),
      _react2.default.createElement(
        'div',
        { className: 'absolute aspect-ratio--object v-mid ph3 ph4-m ph5-l flex flex-column justify-center' },
        _react2.default.createElement(
          'h1',
          { className: 'f3 f1-ns mw8 center lh-title fw9 tc' },
          title
        ),
        _react2.default.createElement(
          'h2',
          { className: 'f5 f4-ns fw6 center' },
          author
        )
      )
    ),
    _react2.default.createElement('div', {
      className: 'markdown content mw7 center mt3 mt4-ns pa3 pa3-ns',
      dangerouslySetInnerHTML: { __html: body }
    })
  );
};

exports.default = Article;